<?
  // Exportiere Daten auf Anfrage
  if ($export)
  {
      exportCSV($gesamtexport);
      $loggedIn->log('datenexport', $loggedIn->userId);
  }

  $myDir = opendir("$exportpath/bestelllisten");
  $files = array();
  while ($filename = readdir($myDir))
  {
      if (filetype("$exportpath/bestelllisten/$filename") == "file")
      #if (!(preg_match("/^\\./", $filename)))
      {
          array_push($files, $filename);
      }
  }
  closedir($myDir);
//  sort($files);
?>
<?
  if ($files)
{
    ?>
             <form action="<?=$_SERVER['PHP_SELF']?>" method="POST">
                  <fieldset class="fieldset"><legend>Exportierte Dateien</legend>
                    Folgende Dateien <?=$action=='u18'?'(U18)':''?> stehen zum Herunterladen bereit:<br><br>
                    <input type="hidden" name="submit" value="submit" />
                    <input type="hidden" name="module" value="<?=$module?>" />
                    <input type="hidden" name="action" value="<?=$action?>" />
                    <table>
<?
  foreach($files as $file)
  { ?>

                      <tr>
                        <td>
<? $server = $_SERVER['HTTP_HOST'];
   $proto = preg_match('/^https/',$_SERVER['SCRIPT_URI'])?'https':'http';
 ?>
                          <a href="<?=$proto?>://<?=$server?><?=$rooturl?>admin/downloadcsv.php?file=bestelllisten/<?=$file?>"><?=$file?></a> <!-- (<?=$lines?> Eintr&auml;ge) -->


                        </td>
                        <td>
                          <input class="inputradio" type="checkbox" name="deletefiles[]" value="<?=$file?>" title="Datei zum L&ouml;schen markieren" />
                        </td>
                      </tr>
<? } ?>
                    </table>
                    <input type="submit" name="delete" class="inputsubmit" value="Dateien l&ouml;schen" /><br />
                  </fieldset>
                </form>
<? }  else { ?>
No Files. 
<? } ?>
